--------------------------------------------------------------------------------
--
-- COPYRIGHT:
--   IBM WorkFrame - Project Smarts
--   (C) Copyright International Business Machines Corporation 1996
--   Licensed Material - Program-Property of IBM - All Rights Reserved.
--   US Government Users Restricted Rights - Use, duplication, or disclosure
--   restricted by GSA ADP Schedule Contract with IBM Corp.
--
--------------------------------------------------------------------------------

<include prologc.tde>

/*----------------------*/
/* Constant definitions */
/*----------------------*/

#define HELP_FILE_NAME     "$FILE_NAME$.HLP"

/*--------------------------*/
/* Identifier constants     */
/*--------------------------*/

/* Window IDs */
#define  IDW_FRAME_WINDOW            90
#define  ID_MLE                      91

/* Icon IDs */
#define  IDI_ICON                    900

/* Menu item IDs */
#define IDM_BASE            1000
#define IDM_FILE            IDM_BASE + 1
#define IDM_FILE_OPEN       IDM_BASE + 2
#define IDM_FILE_SAVE       IDM_BASE + 3
#define IDM_FILE_SAVEAS     IDM_BASE + 4
#define IDM_FILE_CLOSE      IDM_BASE + 6
#define IDM_EDIT            IDM_BASE + 7
#define IDM_EDIT_COPY       IDM_BASE + 9
#define IDM_EDIT_CUT        IDM_BASE + 10
#define IDM_EDIT_PASTE      IDM_BASE + 11
#define IDM_HELP            IDM_BASE + 14
#define IDM_HELP_INDEX      IDM_BASE + 15
#define IDM_HELP_GENERAL    IDM_BASE + 16
#define IDM_HELP_USING      IDM_BASE + 17
#define IDM_HELP_PRODINFO   IDM_BASE + 19


/* Dialog and dialog control IDs */
#define IDD_BASE            2000
#define ID_PRODINFO         IDD_BASE
#define ID_PRODINFO_CANVAS  IDD_BASE + 1
#define ID_PRODINFO_TEXT1   IDD_BASE + 2
#define ID_PRODINFO_TEXT2   IDD_BASE + 3
#define ID_PRODINFO_TEXT3   IDD_BASE + 4
#define ID_PRODINFO_TEXT4   IDD_BASE + 5
#define ID_PRODINFO_TEXT5   IDD_BASE + 6
#define ID_PRODINFO_OK      IDD_BASE + 7
#define ID_PRODINFO_ICON    IDD_BASE + 8
#ifndef DID_HELP_PB
#define DID_HELP_PB         267   /* OK button on File open and Save as dialogs */
#endif


/* Help table IDs */
#define IDH_BASE                5000
#define IDH_MAIN_HELPTABLE      5001
#define IDH_SUBTABLE_FRAME      5002
#define IDH_FILEOPEN_DLG        5003
#define IDH_SAVEAS_DLG          5004


/* Help panel IDs */
#define IDH_GENHELP_RESNO       100  /* General help resource number in HLP file */
#define IDH_FILEOPEN_RESNO      135  /* File open dlg help resource number in HLP file*/
#define IDH_SAVEAS_RESNO        155  /* Save as dlg help resource number in HLP file*/
#define IDH_FILEOPENERR1_RESNO 8000  /* Message help resource number in HLP file*/
#define IDH_FILEOPENERR2_RESNO 8010  /* Message help resource number in HLP file*/
#define IDH_NOHELPERR_RESNO    8020  /* Message help resource number in HLP file*/


/* String IDs */
#define IDS_BASE                    300
#define IDS_TITLE                   IDS_BASE + 1
#define IDS_NO_FILE                 IDS_BASE + 2
#define IDS_EXIT                    IDS_BASE + 3
#define IDS_FILE_OPEN               IDS_BASE + 4
#define IDS_OPEN_FILE               IDS_BASE + 5
#define IDS_SAVE_FILE               IDS_BASE + 6
#define IDS_UNDO                    IDS_BASE + 9
#define IDS_COPY                    IDS_BASE + 10
#define IDS_CUT                     IDS_BASE + 11
#define IDS_PASTE                   IDS_BASE + 12
#define IDS_SAVEAS                  IDS_BASE + 15
#define IDS_SAVE                    IDS_BASE + 16
#define IDS_FILE_SAVED              IDS_BASE + 17
#define IDS_FILE_OPENED             IDS_BASE + 18
#define IDS_ERROR_NO_FILE_LOADED    IDS_BASE + 19
#define IDS_ERROR_NO_HELP           IDS_BASE + 20
#define IDS_HELP_INDEX              IDS_BASE + 25
#define IDS_HELP_GENERAL            IDS_BASE + 26
#define IDS_HELP_USING              IDS_BASE + 27
#define IDS_GENERAL_DESC            IDS_BASE + 28
#define IDS_HELP_PRODINFO           IDS_BASE + 30
#define IDS_OPEN                    IDS_BASE + 31
#define IDS_HELP_TITLE              IDS_BASE + 33
#define IDS_PRODINFO_OK             IDS_BASE + 34
#define IDS_PRODINFO_TEXT1          IDS_BASE + 35
#define IDS_PRODINFO_TEXT2          IDS_BASE + 36
#define IDS_PRODINFO_TEXT3          IDS_BASE + 37
#define IDS_PRODINFO_TEXT4          IDS_BASE + 38
#define IDS_PRODINFO_TEXT5          IDS_BASE + 39

/* User event IDs */
#define UM_BASE                     9000
#define UM_NOHELP                   UM_BASE + 1
