--------------------------------------------------------------------------------
--
-- COPYRIGHT:
--   IBM WorkFrame - Project Smarts
--   (C) Copyright International Business Machines Corporation 1996
--   Licensed Material - Program-Property of IBM - All Rights Reserved.
--   US Government Users Restricted Rights - Use, duplication, or disclosure
--   restricted by GSA ADP Schedule Contract with IBM Corp.
--
--------------------------------------------------------------------------------

<include prologcp.tde>

#include <iframe.hpp>
#include <icmdhdr.hpp>
#include <iiconctl.hpp>
#include <istattxt.hpp>
#include <ipushbut.hpp>
#include <isetcv.hpp>

class IWindow;

/*************************************************/
/* Class: ProdInfoDialog                         */
/*                                               */
/* Purpose: Encapsulates the Product information */
/*          dialog shown when the user selects   */
/*          Product information from the Help    */
/*          pull-down menu. This class is a      */
/*          subclass of IFrameWindow and         */
/*          ICommandHandler.                     */
/*************************************************/
class ProdInfoDialog : public IFrameWindow,
                       public ICommandHandler
{
  public:

    ProdInfoDialog (IWindow *owner);
    ~ProdInfoDialog ();

  protected:

    // Processes the dialog's command events
    virtual Boolean command( ICommandEvent& cmdevt);

  private:
    ISetCanvas
      canvas;
    IIconControl
      iconCtl;
    IStaticText
      text1,
      text2,
      text3,
      text4,
      text5;
    IPushButton
      button;
};

